searchNodes=[{"doc":"APA : Arbitrary Precision Arithmetic - pure Elixir implementation. For arbitrary precision mathematics - which supports numbers of any size and precision up to nearly unlimited of decimals (internal Elixir integer math), represented as strings. This is especially useful when working with floating-point numbers, as these introduce small but in some case significant rounding errors. Inspired by BCMath/PHP. I started this project to learn for myself - so the focus was on learning and have fun! You could use it if you like - there are some test coverage - but for production I would recomend the Decimal (https://github.com/ericmj/decimal) package! The &#39;precision&#39; of a ApaNumber is the total count of significant digits in the whole number, that is, the number of digits to both sides of the decimal point. The &#39;scale&#39; of a ApaNumber is the count of decimal digits in the fractional part, to the right of the decimal point You are welcome to read the code and if you find something that could be done better, please let me know.","ref":"Apa.html","title":"Apa","type":"module"},{"doc":"","ref":"Apa.html#*/2","title":"Apa.*/2","type":"function"},{"doc":"","ref":"Apa.html#+/2","title":"Apa.+/2","type":"function"},{"doc":"","ref":"Apa.html#-/2","title":"Apa.-/2","type":"function"},{"doc":"","ref":"Apa.html#//2","title":"Apa.//2","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Addition Examples iex&gt; Apa.add(&quot;1&quot;, &quot;2&quot;) &quot;3&quot; iex&gt; Apa.add(&quot;1&quot;, &quot;-2&quot;) &quot;-1&quot; iex&gt; Apa.add(&quot;-1&quot;, &quot;2&quot;) &quot;1&quot; iex&gt; Apa.add(&quot;-1&quot;, &quot;-2&quot;) &quot;-3&quot; iex&gt; Apa.add(&quot;999989&quot;, &quot;222222&quot;) &quot;1222211&quot; iex&gt; Apa.add(&quot;222222&quot;, &quot;999989&quot;) &quot;1222211&quot; iex&gt; Apa.add(&quot;999&quot;, &quot;999989&quot;) &quot;1000988&quot; iex&gt; Apa.add(&quot;000000999&quot;, &quot;0999989&quot;) &quot;1000988&quot; iex&gt; &quot;1&quot; |&gt; Apa.add(&quot;2&quot;) |&gt; Apa.add(&quot;3.3&quot;) |&gt; Apa.add(&quot;-3&quot;) &quot;3.3&quot; Compared to standard Elixir - wrong value 6.6! iex&gt; 3.30000000000000004 + 3.30000000000000003 6.6 Correct with APA: iex&gt; Apa.add(&quot;3.30000000000000004&quot;, &quot;3.30000000000000003&quot;) &quot;6.60000000000000007&quot; iex&gt; Apa.add(&quot;3.304&quot;,&quot;3.300003&quot;) &quot;6.604003&quot; iex&gt; Apa.add(&quot;-3.304&quot;,&quot;-3.300003&quot;) &quot;-6.604003&quot; iex&gt; Apa.add(&quot;-3.304&quot;,&quot;3.300003&quot;) &quot;-0.003997&quot; iex&gt; Apa.add(&quot;3.304&quot;,&quot;-3.300003&quot;) &quot;0.003997&quot; iex&gt; Apa.add(&quot;3&quot;,&quot;3.303&quot;) &quot;6.303&quot; iex&gt; Apa.add(&quot;3.303&quot;,&quot;3&quot;) &quot;6.303&quot; iex&gt; Apa.add(&quot;3.303&quot;,&quot;+003&quot;) &quot;6.303&quot; iex&gt; Apa.add(&quot;1&quot;,&quot;+00120.000&quot;) &quot;121&quot; iex&gt; Apa.add(&quot;1.0e2&quot;, &quot;1.1&quot;) &quot;101.1&quot;","ref":"Apa.html#add/4","title":"Apa.add/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Homage to Douglas Adams The Answer to the Ultimate Question of Life, the Universe, and Everything Examples iex&gt; Apa.answer(&quot;Ultimate Question of Life, the Universe, and Everything&quot;) &quot;42&quot; iex&gt; Apa.answer(&quot;Das Leben, das Universum und der ganze Rest&quot;) &quot;42&quot; iex&gt; Apa.answer(&quot;six by nine&quot;) &quot;forty two&quot;","ref":"Apa.html#answer/1","title":"Apa.answer/1","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Comparison - ApaComp Compares the left_operand to the right_operand and returns the result as an integer. left - the left operand, as a string. right - the right operand, as a string. TODO: precision, scale scale - the optional scale parameter is used to set the number of digits after the decimal place which will be used in the comparison. Returns: 0 if the two operands are equal, 1 if the left_operand is larger than the right_operand, -1 otherwise. Examples iex&gt; Apa.comp(&quot;9&quot;, &quot;3&quot;) 1 iex&gt; Apa.comp(&quot;3&quot;, &quot;9&quot;) -1 iex&gt; Apa.comp(&quot;999999999999999999999999999&quot;,&quot;999999999999999999999999999&quot;) 0 iex&gt; Apa.comp(&quot;0&quot;,&quot;0&quot;) 0 iex&gt; Apa.comp(&quot;+0&quot;,&quot;-0&quot;) 0 iex&gt; Apa.comp(&quot;-0&quot;,&quot;-0&quot;) 0 iex&gt; Apa.comp(&quot;+1&quot;,&quot;-1&quot;) 1 iex&gt; Apa.comp(&quot;1.0&quot;,&quot;1.0&quot;) 0 iex&gt; Apa.comp(&quot;-1&quot;,&quot;-1.0&quot;) 0 Compared to standard Elixir this is fixed with APA - it is -1 !!! iex&gt; Apa.comp(&quot;12&quot;,&quot;12.0000000000000001&quot;) -1 Compared to standard Elixir this is fixed with APA - it is 1 !!! iex&gt; Apa.comp(&quot;3.30000000000000004&quot;, &quot;3.30000000000000003&quot;) 1 iex&gt; Apa.comp(&quot;1.1&quot;, &quot;1.0&quot;) 1 iex&gt; Apa.comp(&quot;1.0&quot;, &quot;1.1&quot;) -1 iex&gt; Apa.comp(&quot;1.0&quot;, &quot;1.1&quot;, 0, 1) -1 iex&gt; Apa.comp(&quot;1.0&quot;, &quot;1.1&quot;, 0, 0) 0","ref":"Apa.html#comp/4","title":"Apa.comp/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Division Examples iex&gt; Apa.div(&quot;6&quot;, &quot;2&quot;) &quot;3&quot; iex&gt; Apa.div(&quot;6&quot;, &quot;3&quot;) &quot;2&quot; iex&gt; Apa.div(&quot;6&quot;, &quot;-3&quot;) &quot;-2&quot; iex&gt; Apa.div(&quot;-6&quot;, &quot;3&quot;) &quot;-2&quot; iex&gt; Apa.div(&quot;-6&quot;, &quot;-3&quot;) &quot;2&quot; iex&gt; &quot;18&quot; |&gt; Apa.div(&quot;2&quot;) |&gt; Apa.div(&quot;3&quot;) &quot;3&quot; iex&gt; Apa.div(&quot;222.2001&quot;, &quot;2222.001&quot;) &quot;0.1&quot;","ref":"Apa.html#div/4","title":"Apa.div/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Multiplication Examples iex&gt; Apa.mul(&quot;3&quot;, &quot;2&quot;) &quot;6&quot; iex&gt; Apa.mul(&quot;2&quot;, &quot;3&quot;) &quot;6&quot; iex&gt; Apa.mul(&quot;2&quot;, &quot;-3&quot;) &quot;-6&quot; iex&gt; Apa.mul(&quot;-2&quot;, &quot;3&quot;) &quot;-6&quot; iex&gt; Apa.mul(&quot;-2&quot;, &quot;-3&quot;) &quot;6&quot; iex&gt; &quot;1&quot; |&gt; Apa.mul(&quot;2&quot;) |&gt; Apa.mul(&quot;3&quot;) &quot;6&quot;","ref":"Apa.html#mul/4","title":"Apa.mul/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Subtraction Examples iex&gt; Apa.sub(&quot;3&quot;, &quot;2&quot;) &quot;1&quot; iex&gt; Apa.sub(&quot;2&quot;, &quot;3&quot;) &quot;-1&quot; iex&gt; Apa.sub(&quot;2&quot;, &quot;+3&quot;) &quot;-1&quot; iex&gt; Apa.sub(&quot;2&quot;, &quot;-3&quot;) &quot;5&quot; iex&gt; Apa.sub(&quot;-2&quot;, &quot;3&quot;) &quot;-5&quot; iex&gt; &quot;1&quot; |&gt; Apa.sub(&quot;2&quot;) |&gt; Apa.add(&quot;3.30&quot;) |&gt; Apa.sub(&quot;2.40&quot;) &quot;-0.1&quot; Compared to standard Elixir - wrong value 0.0! iex&gt; 3.30000000000000004 - 3.30000000000000003 0.0 this is fixed with APA: iex&gt; Apa.sub(&quot;3.30000000000000004&quot;, &quot;3.30000000000000003&quot;) &quot;0.00000000000000001&quot;","ref":"Apa.html#sub/4","title":"Apa.sub/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Addition - ApaAdd.","ref":"ApaAdd.html","title":"ApaAdd","type":"module"},{"doc":"Addition - internal function - please call Apa.add(left, right) In reference to bcmath I call this function bc_add","ref":"ApaAdd.html#bc_add/4","title":"ApaAdd.bc_add/4","type":"function"},{"doc":"","ref":"ApaAdd.html#bc_add_apa_number/4","title":"ApaAdd.bc_add_apa_number/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Comparision - ApaComp.","ref":"ApaComp.html","title":"ApaComp","type":"module"},{"doc":"Comparison - internal function - please call Apa.comp(left, right, sclae, precision) The &#39;precision&#39; of an ApaNumber is the total count of significant digits in the whole number, that is, the number of digits to both sides of the decimal point. The &#39;scale&#39; of an ApaNumber is the count of decimal digits in the fractional part, to the right of the decimal point In reference to bcmath I call this function bc_comp","ref":"ApaComp.html#bc_comp/4","title":"ApaComp.bc_comp/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Division - ApaDiv.","ref":"ApaDiv.html","title":"ApaDiv","type":"module"},{"doc":"Division - internal function - please call Apa.div(left, right) In reference to bcmath I call this function bc_div","ref":"ApaDiv.html#bc_div/4","title":"ApaDiv.bc_div/4","type":"function"},{"doc":"","ref":"ApaDiv.html#bc_div_apa_number/4","title":"ApaDiv.bc_div_apa_number/4","type":"function"},{"doc":"","ref":"ApaDiv.html#bc_div_apa_number/6","title":"ApaDiv.bc_div_apa_number/6","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Multiplication - ApaMul.","ref":"ApaMul.html","title":"ApaMul","type":"module"},{"doc":"Multiplication - internal function - please call Apa.mul(left, right) In reference to bcmath I call this function bc_mul","ref":"ApaMul.html#bc_mul/4","title":"ApaMul.bc_mul/4","type":"function"},{"doc":"","ref":"ApaMul.html#bc_mul_apa_number/4","title":"ApaMul.bc_mul_apa_number/4","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Number String helper - ApaNumber. Parser to handle number string inputs convert any number string to a tuple of 2 integers: {integer_value, exp} Maybe better to make parse private and force to use from_string/1 - because of possible inifinite loop","ref":"ApaNumber.html","title":"ApaNumber","type":"module"},{"doc":"Adds a minus sign to a number string if necessary. Could be done by converting to integer and multiply with -1 and reconvert to string. But this works nice and elegant with strings and pattern matching too. Examples iex&gt; ApaNumber.add_minus_sign(&quot;3&quot;) &quot;-3&quot; iex&gt; ApaNumber.add_minus_sign(&quot;+3&quot;) &quot;-3&quot; iex&gt; ApaNumber.add_minus_sign(&quot;-3&quot;) &quot;3&quot; iex&gt; ApaNumber.add_minus_sign(&quot;-0003.0003e-002&quot;) &quot;0003.0003e-002&quot;","ref":"ApaNumber.html#add_minus_sign/1","title":"ApaNumber.add_minus_sign/1","type":"function"},{"doc":"Parses a binary (number string) into an ApaNumber tuple. It works with signs, leading and trailing zeros and additional chars will be ignored. If successful, returns a tuple in the form of {integer_value, exponent}: ApaNumber.from_string(&quot;+0003.00e+00000 Dollar&quot;) {3, 0} When the binary cannot be parsed, the atom :error will be returned. The limit only depends on the internal integers - because of Elixir &quot;unlimited&quot; integers I would say &quot;arbitrary&quot;. Used elixir source from Float module for parsing - nice source of inspiration! Thank you José! Examples iex&gt; ApaNumber.from_string(&quot;0003&quot;) {3, 0} iex&gt; ApaNumber.from_string(&quot;+0003&quot;) {3, 0} iex&gt; ApaNumber.from_string(&quot;-0003&quot;) {-3, 0} iex&gt; ApaNumber.from_string(&quot;-0000120.1200&quot;) {-12012, -2} iex&gt; ApaNumber.from_string(&quot;-0000120.1200&quot;) {-12012, -2} iex&gt; ApaNumber.from_string(&quot;-03 Euro&quot;) {-3, 0} iex&gt; ApaNumber.from_string(&quot;-0003e-2&quot;) {-3, -2} iex&gt; ApaNumber.from_string(&quot;-3e-0002&quot;) {-3, -2} iex&gt; ApaNumber.from_string(&quot;3e-12&quot;) {3, -12} iex&gt; ApaNumber.from_string(&quot;+0003e+12&quot;) {3000000000000, 0} iex&gt; ApaNumber.from_string(&quot;+0003e+00000&quot;) {3, 0} iex&gt; ApaNumber.from_string(&quot;+0003.00e+00000 Dollar&quot;) {3, 0}","ref":"ApaNumber.html#from_string/1","title":"ApaNumber.from_string/1","type":"function"},{"doc":"Shifts an ApaNumber to another decimal point to work with the intended integer calculation of two numbers with the same decimal point this operation do not change the mathematical value: ApaNumber.to_string({2, -1}) == &quot;0.2&quot; ~math-equal~ ApaNumber.to_string({20, -2}) == &quot;0.20&quot; and always shift_decimal_point &gt; exp because fillup with zeros reduce non existing zeros is not possible and not necessary to implement returns the shifted ApaNumber tupel or if not possible to shift the input tupel Examples iex&gt; ApaNumber.shift_to({2, -1}, -2) {20, -2} iex&gt; ApaNumber.shift_to({2, -1}, -4) {2000, -4} iex&gt; ApaNumber.shift_to({2000, -1}, 0) {200, 0} iex&gt; ApaNumber.shift_to({2000, -4}, -1) {2, -1} iex&gt; ApaNumber.shift_to({20, -1}, 0) {2, 0}","ref":"ApaNumber.html#shift_to/2","title":"ApaNumber.shift_to/2","type":"function"},{"doc":"Creates a string from an ApaNumber tuple. Examples iex&gt; ApaNumber.to_string({3, 0}) &quot;3&quot; iex&gt; ApaNumber.to_string({-3, 0}) &quot;-3&quot; iex&gt; ApaNumber.to_string({3, 3}) &quot;3000&quot; iex&gt; ApaNumber.to_string({-12012, -2}) &quot;-120.12&quot; iex&gt; ApaNumber.to_string({-3997, -6}) &quot;-0.003997&quot;","ref":"ApaNumber.html#to_string/3","title":"ApaNumber.to_string/3","type":"function"},{"doc":"APA : Arbitrary Precision Arithmetic - Subtraction - ApaSub.","ref":"ApaSub.html","title":"ApaSub","type":"module"},{"doc":"Subtraction - internal function - please call Apa.sub(left, right) In reference to bcmath I call this function bc_sub","ref":"ApaSub.html#bc_sub/4","title":"ApaSub.bc_sub/4","type":"function"},{"doc":"","ref":"ApaSub.html#bc_sub_apa_number/4","title":"ApaSub.bc_sub_apa_number/4","type":"function"},{"doc":"Apa &nbsp;&nbsp;&nbsp; APA : Arbitrary Precision Arithmetic - pure Elixir implementation. For arbitrary precision mathematics - which supports numbers of any size and precision up to nearly unlimited of decimals (internal Elixir integer math), represented as strings. This is especially useful when working with floating-point numbers, as these introduce small but in some case significant rounding errors.","ref":"readme.html","title":"Apa","type":"extras"},{"doc":"I started this project to learn for myself - so the focus was on learning and have fun! You could use it if you like - there are some test coverage - but for production I would recommend the Decimal package! The basic idea is to work with strings (inspired by BCMath/PHP): parse/convert any string into internal ApaNumber - a tuple: {integer_value, exponent} calculate with that tuple reconvert it with to_string function Some limits and &#39;bugs&#39; in standard Erlang/Elixir: iex&gt; 0.30000000000000004 - 0.30000000000000003 0.0 with Apa: &quot;0.30000000000000004&quot; - &quot;0.30000000000000003&quot; &quot;0.00000000000000001&quot; Elixir: iex&gt; 0.1 + 0.2 0.30000000000000004 with Apa: &quot;0.1&quot; + &quot;0.2&quot; &quot;0.3&quot; Elixir: iex&gt; 9007199254740992.0 - 9007199254740991.0 1.0 iex&gt; 9007199254740993.0 - 9007199254740992.0 0.0 iex&gt; 9007199254740994.0 - 9007199254740993.0 2.0 iex&gt; 87654321098765432.0 - 87654321098765431.0 16.0 iex&gt; 0.123456789e-100 * 0.123456789e-100 1.524157875019052e-202 iex&gt; 0.123456789e-200 * 0.123456789e-200 0.0 iex&gt; :math.pow(2, 1500) ** (ArithmeticError) bad argument in arithmetic expression On a short research I found the existing lib EAPA have some limits and disadvantages: EAPA (Erlang/Elixir Arbitrary-Precision Arithmetic) a) Customized precision up to 126 decimal places (current realization) Why only 126 decimal places? Apa should not have that limit! b) EAPA is a NIF extension written on Rust -&gt; performance fine, but bad in case of strong dependencies. Apa is in pure Elixir with no dependency - running on any Nerves device. Later I found Decimal which looks very nice and useful (written by Eric Meadows-Jönsson!) - so there is already a solution - nice, stable and full featured! I used it in Phoenix with Ecto without thinking about it ... but that&#39;s life. Anyway I had fun with Apa on Eastern 2020. ;-) A little feature I could offer compared to Decimal (but of course could be easily expanded there too) &quot;0.30000000000000004&quot; - &quot;0.30000000000000003&quot; &quot;0.00000000000000001&quot; Or calc and compare directly with strings in case of ecto/database with Decimal: schema &quot;products&quot; do field :name, :string field :price, :decimal timestamps() end %Product{ name: &quot;Apple&quot;, price: 3, } cart_total = Decimal.to_string(Decimal.mult(Decimal.new(product.price), Decimal.new(cart_quantity))) with Apa: schema &quot;product&quot; do field :name, :string field :price, :string timestamps() end %Product{ name: &quot;Apple&quot;, price: &quot;3&quot;, } cart_total = product.price * cart_quantity Could be useful together with CubDB (pure Elixir key/value database) f.e. in a Nerves environment.","ref":"readme.html#intention-pros-cons","title":"Apa - Intention, Pros &amp; Cons","type":"extras"},{"doc":"Slower performance compared to original Elixir integer or float calculation (see raw performance tests).","ref":"readme.html#cons","title":"Apa - Cons","type":"extras"},{"doc":"Some ideas come from Postgres and I extend that to be useful in Elixir: The &#39;precision&#39; of an ApaNumber is the total count of significant digits in the whole number, that is, the number of digits to both sides of the decimal point. The &#39;scale&#39; of an ApaNumber is the count of decimal digits in the fractional part, to the right of the decimal point. So the number 123.456 has a precision of 6 and a scale of 3. A scale of 0 will effect as Integer. scale &lt; 0 f.e. (-1) - no touch on decimal point, when it is there or not - with a limit of 321 if its unlimited/periodic flow of numbers like 10/3 = 0.333333 - if you want more precise value after the decimal point you can overwrite it with an explicit value for scale scale == 0 - always integer -&gt; 1.1 will be 1 scale &gt; 0 - always make a decimal point at scale behind the result -&gt; 1 with scale of 3 will be 1.000 precision &lt;= 0 - means no touch at the precision - arbitrary precision as possible maybe limited by scale precision &gt; 0 - the total count of significant digits in the whole number - if the precision is less then the real significant digits it will be replaced by 0 without rounding: 123.456 with a precision of 5 will be returned as 123.450 No explicit precision and no explicit scale All operations (except the division - see below) without any explicit precision or scale works up to the implementation limit on elixir integer. An ApaNumber of this kind will not coerce input values to any particular scale. Implemented with default value of precision -1 and default value of scale -1. These defaults can be overwritten via config. The division is limited in this case by the default scale value (see config), otherwise there will be very often huge nearly endless strings (f.e. 10/3 = 0.3333...). If you need any higher precision/scale you could adjust the default value (via config) or use the precision and/or scale parameter for each operation. Explicit precision and/or explicit scale Both the precision and the scale of an ApaNumber can be configured as maximum values. That means ApaNumbers with a declared precision and/or scale will coerce input values to that precision/scale. The precision must be positive, the scale zero or positive. iex&gt; Apa.add(&quot;0.1&quot;, &quot;0.2&quot;, -1, 3) &quot;0.300&quot; iex&gt; Apa.add(&quot;1001&quot;, &quot;2002&quot;, 3, -1) &quot;3000&quot;","ref":"readme.html#precision-and-scale","title":"Apa - Precision and Scale","type":"extras"},{"doc":"A list of supported and planned features (maybe incomplete) [x] basic operations (add) [x] basic operations (sub) [x] basic operations (mul) [x] basic operations (div) [x] comparison (comp) [x] precision (total count of significant digits) [x] scale (number of digits after the decimal place) [ ] rounding [ ] Infinity and NaN [ ] string format for result [ ] performance - f.e. benchee check - this pure Elixir implementation looks like fast enough for normal applications (normal means not for number crunching)","ref":"readme.html#features","title":"Apa - Features","type":"extras"},{"doc":"Add apa to your list of dependencies in mix.exs: def deps do [ {:apa, &quot;~&gt; 0.5.0&quot;} ] end","ref":"readme.html#installation","title":"Apa - Installation","type":"extras"},{"doc":"defmodule ApaExample do import Apa import Kernel, except: [+: 2, -: 2, *: 2, /: 2, to_string: 1] def the_answer() do apa1 = Apa.add(&quot;1&quot;, &quot;2&quot;) apa2 = Apa.sub(&quot;3&quot;, &quot;2&quot;) price = &quot;3.50 Euro&quot; quantity = &quot;12&quot; total_string = price * quantity IO.puts(&quot;The Answer to the Ultimate Question of Life, the Universe, and Everything is: &quot;) &quot;1&quot; |&gt; Apa.add(&quot;2&quot;) |&gt; Apa.add(&quot;3&quot;) |&gt; Apa.sub(&quot;4&quot;) |&gt; Apa.add(&quot;5&quot;) |&gt; Apa.mul(&quot;6&quot;) end end","ref":"readme.html#usage","title":"Apa - Usage","type":"extras"},{"doc":"iex&gt; Apa.add(&quot;0.1&quot;, &quot;0.2&quot;) &quot;0.3&quot; iex&gt; Apa.sub(&quot;3.0&quot;, &quot;0.000000000000000000000000000000000000000000000001&quot;) &quot;2.999999999999999999999999999999999999999999999999&quot; iex&gt; &quot;333.33&quot; |&gt; Apa.add(&quot;666.66&quot;) |&gt; Apa.sub(&quot;111.11&quot;) &quot;888.88&quot; iex&gt; &quot;1&quot; |&gt; Apa.add(&quot;2&quot;) |&gt; Apa.add(&quot;3&quot;) |&gt; Apa.sub(&quot;4&quot;) |&gt; Apa.add(&quot;5&quot;) |&gt; Apa.mul(&quot;6&quot;) &quot;42&quot; :laughing:","ref":"readme.html#examples","title":"Apa - Examples","type":"extras"}]